Translate (JavaFX 13)

Module javafx.graphics
Package javafx.scene.transform

## Class Translate

- java.lang.Object
- - javafx.scene.transform.Transform
  - - javafx.scene.transform.Translate

- All Implemented Interfaces:
    `Cloneable`, `EventTarget`

      public class Translate
      extends Transform

  This class represents an `Affine` object that translates coordinates by the specified factors. The matrix representing the translating transformation by distances `x`, `y` and `z` is as follows:

                    [   1   0   0   x   ]
                    [   0   1   0   y   ]
                    [   0   0   1   z   ]

  Since:
    JavaFX 2.0

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `DoubleProperty` | `x` | Defines the distance by which coordinates are translated in the X axis direction
    `DoubleProperty` | `y` | Defines the distance by which coordinates are translated in the Y axis direction
    `DoubleProperty` | `z` | Defines the distance by which coordinates are translated in the Z axis direction

    - ### Properties inherited from class javafx.scene.transform.Transform

      `identity, onTransformChanged, type2D`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Translate()` | Creates a default Translate (identity).
    `Translate​(double x, double y)` | Creates a two-dimensional Translate.
    `Translate​(double x, double y, double z)` | Creates a three-dimensional Translate.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Translate` | `clone()` | Returns a deep copy of this transform.
    `Transform` | `createConcatenation​(Transform transform)` | Returns the concatenation of this transform and the specified transform.
    `Translate` | `createInverse()` | Returns the inverse transform of this transform.
    `Point2D` | `deltaTransform​(double x, double y)` | Transforms the relative magnitude vector by this transform.
    `Point3D` | `deltaTransform​(double x, double y, double z)` | Transforms the relative magnitude vector by this transform.
    `Point2D` | `deltaTransform​(Point2D point)` | Transforms the relative magnitude vector represented by the specified `Point2D` instance by this transform.
    `Point3D` | `deltaTransform​(Point3D point)` | Transforms the relative magnitude vector represented by the specified `Point3D` instance by this transform.
    `double` | `getTx()` | Gets the X coordinate translation element of the 3x4 matrix.
    `double` | `getTy()` | Gets the Y coordinate translation element of the 3x4 matrix.
    `double` | `getTz()` | Gets the Z coordinate translation element of the 3x4 matrix.
    `double` | `getX()` | Gets the value of the property x.
    `double` | `getY()` | Gets the value of the property y.
    `double` | `getZ()` | Gets the value of the property z.
    `Point2D` | `inverseDeltaTransform​(double x, double y)` | Transforms the relative magnitude vector by the inverse of this transform.
    `Point3D` | `inverseDeltaTransform​(double x, double y, double z)` | Transforms the relative magnitude vector by the inverse of this transform.
    `Point2D` | `inverseDeltaTransform​(Point2D point)` | Transforms the relative magnitude vector represented by the specified `Point2D` instance by the inverse of this transform.
    `Point3D` | `inverseDeltaTransform​(Point3D point)` | Transforms the relative magnitude vector represented by the specified `Point3D` instance by the inverse of this transform.
    `Point2D` | `inverseTransform​(double x, double y)` | Transforms the specified point by the inverse of this transform.
    `Point3D` | `inverseTransform​(double x, double y, double z)` | Transforms the specified point by the inverse of this transform.
    `void` | `setX​(double value)` | Sets the value of the property x.
    `void` | `setY​(double value)` | Sets the value of the property y.
    `void` | `setZ​(double value)` | Sets the value of the property z.
    `String` | `toString()` | Returns a string representation of this `Translate` object.
    `Point2D` | `transform​(double x, double y)` | Transforms the specified point by this transform.
    `Point3D` | `transform​(double x, double y, double z)` | Transforms the specified point by this transform.
    `DoubleProperty` | `xProperty()` | Defines the distance by which coordinates are translated in the X axis direction
    `DoubleProperty` | `yProperty()` | Defines the distance by which coordinates are translated in the Y axis direction
    `DoubleProperty` | `zProperty()` | Defines the distance by which coordinates are translated in the Z axis direction

    - ### Methods inherited from class javafx.scene.transform.Transform

      `addEventFilter, addEventHandler, affine, affine, buildEventDispatchChain, column, column, determinant, getElement, getMxx, getMxy, getMxz, getMyx, getMyy, getMyz, getMzx, getMzy, getMzz, getOnTransformChanged, identityProperty, inverseTransform, inverseTransform, inverseTransform, inverseTransform2DPoints, inverseTransform3DPoints, isIdentity, isType2D, onTransformChangedProperty, removeEventFilter, removeEventHandler, rotate, row, row, scale, scale, setOnTransformChanged, shear, shear, similarTo, toArray, toArray, transform, transform, transform, transform2DPoints, transform3DPoints, transformChanged, translate, type2DProperty`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### x

          public final DoubleProperty xProperty

      Defines the distance by which coordinates are translated in the X axis direction
      See Also:
        `getX()`, `setX(double)`

    - #### y

          public final DoubleProperty yProperty

      Defines the distance by which coordinates are translated in the Y axis direction
      See Also:
        `getY()`, `setY(double)`

    - #### z

          public final DoubleProperty zProperty

      Defines the distance by which coordinates are translated in the Z axis direction
      See Also:
        `getZ()`, `setZ(double)`

  - ### Constructor Detail

    - #### Translate

          public Translate()

      Creates a default Translate (identity).

    - #### Translate

          public Translate​(double x,
                           double y)

      Creates a two-dimensional Translate.
      Parameters:
        `x` - the distance by which coordinates are translated in the X axis direction
        `y` - the distance by which coordinates are translated in the Y axis direction

    - #### Translate

          public Translate​(double x,
                           double y,
                           double z)

      Creates a three-dimensional Translate.
      Parameters:
        `x` - the distance by which coordinates are translated in the X axis direction
        `y` - the distance by which coordinates are translated in the Y axis direction
        `z` - the distance by which coordinates are translated in the Z axis direction

  - ### Method Detail

    - #### setX

          public final void setX​(double value)

      Sets the value of the property x.
      Property description:
        Defines the distance by which coordinates are translated in the X axis direction

    - #### getX

          public final double getX()

      Gets the value of the property x.
      Property description:
        Defines the distance by which coordinates are translated in the X axis direction

    - #### xProperty

          public final DoubleProperty xProperty()

      Defines the distance by which coordinates are translated in the X axis direction
      See Also:
        `getX()`, `setX(double)`

    - #### setY

          public final void setY​(double value)

      Sets the value of the property y.
      Property description:
        Defines the distance by which coordinates are translated in the Y axis direction

    - #### getY

          public final double getY()

      Gets the value of the property y.
      Property description:
        Defines the distance by which coordinates are translated in the Y axis direction

    - #### yProperty

          public final DoubleProperty yProperty()

      Defines the distance by which coordinates are translated in the Y axis direction
      See Also:
        `getY()`, `setY(double)`

    - #### setZ

          public final void setZ​(double value)

      Sets the value of the property z.
      Property description:
        Defines the distance by which coordinates are translated in the Z axis direction

    - #### getZ

          public final double getZ()

      Gets the value of the property z.
      Property description:
        Defines the distance by which coordinates are translated in the Z axis direction

    - #### zProperty

          public final DoubleProperty zProperty()

      Defines the distance by which coordinates are translated in the Z axis direction
      See Also:
        `getZ()`, `setZ(double)`

    - #### getTx

          public double getTx()

      Description copied from class: `Transform`
      Gets the X coordinate translation element of the 3x4 matrix.
      Overrides:
        `getTx` in class `Transform`
      Returns:
        the X coordinate translation element of the 3x4 matrix

    - #### getTy

          public double getTy()

      Description copied from class: `Transform`
      Gets the Y coordinate translation element of the 3x4 matrix.
      Overrides:
        `getTy` in class `Transform`
      Returns:
        the Y coordinate translation element of the 3x4 matrix

    - #### getTz

          public double getTz()

      Description copied from class: `Transform`
      Gets the Z coordinate translation element of the 3x4 matrix.
      Overrides:
        `getTz` in class `Transform`
      Returns:
        the Z coordinate translation element of the 3x4 matrix

    - #### createConcatenation

          public Transform createConcatenation​(Transform transform)

      Description copied from class: `Transform`
      Returns the concatenation of this transform and the specified transform. Applying the resulting transform to a node has the same effect as adding the two transforms to its `getTransforms()` list, `this` transform first and the specified `transform` second.
      Overrides:
        `createConcatenation` in class `Transform`
      Parameters:
        `transform` - transform to be concatenated with this transform
      Returns:
        The concatenated transform

    - #### createInverse

          public Translate createInverse()

      Description copied from class: `Transform`
      Returns the inverse transform of this transform.
      Overrides:
        `createInverse` in class `Transform`
      Returns:
        the inverse transform

    - #### clone

          public Translate clone()

      Description copied from class: `Transform`
      Returns a deep copy of this transform.
      Overrides:
        `clone` in class `Transform`
      Returns:
        a copy of this transform

    - #### transform

          public Point2D transform​(double x,
                                   double y)

      Description copied from class: `Transform`
      Transforms the specified point by this transform. This method can be used only for 2D transforms.
      Overrides:
        `transform` in class `Transform`
      Parameters:
        `x` - the X coordinate of the point
        `y` - the Y coordinate of the point
      Returns:
        the transformed point

    - #### transform

          public Point3D transform​(double x,
                                   double y,
                                   double z)

      Description copied from class: `Transform`
      Transforms the specified point by this transform.
      Overrides:
        `transform` in class `Transform`
      Parameters:
        `x` - the X coordinate of the point
        `y` - the Y coordinate of the point
        `z` - the Z coordinate of the point
      Returns:
        the transformed point

    - #### deltaTransform

          public Point2D deltaTransform​(double x,
                                        double y)

      Description copied from class: `Transform`
      Transforms the relative magnitude vector by this transform. The vector is transformed without applying the translation components of the affine transformation matrix. This method can be used only for a 2D transform.
      Overrides:
        `deltaTransform` in class `Transform`
      Parameters:
        `x` - vector magnitude in the direction of the X axis
        `y` - vector magnitude in the direction of the Y axis
      Returns:
        the transformed relative magnitude vector represented by a `Point2D` instance

    - #### deltaTransform

          public Point2D deltaTransform​(Point2D point)

      Description copied from class: `Transform`
      Transforms the relative magnitude vector represented by the specified `Point2D` instance by this transform. The vector is transformed without applying the translation components of the affine transformation matrix. This method can be used only for a 2D transform.
      Overrides:
        `deltaTransform` in class `Transform`
      Parameters:
        `point` - the relative magnitude vector
      Returns:
        the transformed relative magnitude vector represented by a `Point2D` instance

    - #### deltaTransform

          public Point3D deltaTransform​(double x,
                                        double y,
                                        double z)

      Description copied from class: `Transform`
      Transforms the relative magnitude vector by this transform. The vector is transformed without applying the translation components of the affine transformation matrix.
      Overrides:
        `deltaTransform` in class `Transform`
      Parameters:
        `x` - vector magnitude in the direction of the X axis
        `y` - vector magnitude in the direction of the Y axis
        `z` - vector magnitude in the direction of the Z axis
      Returns:
        the transformed relative magnitude vector represented by a `Point3D` instance

    - #### deltaTransform

          public Point3D deltaTransform​(Point3D point)

      Description copied from class: `Transform`
      Transforms the relative magnitude vector represented by the specified `Point3D` instance by this transform. The vector is transformed without applying the translation components of the affine transformation matrix.
      Overrides:
        `deltaTransform` in class `Transform`
      Parameters:
        `point` - the relative magnitude vector
      Returns:
        the transformed relative magnitude vector represented by a `Point3D` instance

    - #### inverseTransform

          public Point2D inverseTransform​(double x,
                                          double y)

      Description copied from class: `Transform`
      Transforms the specified point by the inverse of this transform. This method can be used only for 2D transforms.
      Overrides:
        `inverseTransform` in class `Transform`
      Parameters:
        `x` - the X coordinate of the point
        `y` - the Y coordinate of the point
      Returns:
        the inversely transformed point

    - #### inverseTransform

          public Point3D inverseTransform​(double x,
                                          double y,
                                          double z)

      Description copied from class: `Transform`
      Transforms the specified point by the inverse of this transform.
      Overrides:
        `inverseTransform` in class `Transform`
      Parameters:
        `x` - the X coordinate of the point
        `y` - the Y coordinate of the point
        `z` - the Z coordinate of the point
      Returns:
        the inversely transformed point

    - #### inverseDeltaTransform

          public Point2D inverseDeltaTransform​(double x,
                                               double y)

      Description copied from class: `Transform`
      Transforms the relative magnitude vector by the inverse of this transform. The vector is transformed without applying the translation components of the affine transformation matrix. This method can be used only for a 2D transform.
      Overrides:
        `inverseDeltaTransform` in class `Transform`
      Parameters:
        `x` - vector magnitude in the direction of the X axis
        `y` - vector magnitude in the direction of the Y axis
      Returns:
        the inversely transformed relative magnitude vector represented by a `Point2D` instance

    - #### inverseDeltaTransform

          public Point2D inverseDeltaTransform​(Point2D point)

      Description copied from class: `Transform`
      Transforms the relative magnitude vector represented by the specified `Point2D` instance by the inverse of this transform. The vector is transformed without applying the translation components of the affine transformation matrix. This method can be used only for a 2D transform.
      Overrides:
        `inverseDeltaTransform` in class `Transform`
      Parameters:
        `point` - the relative magnitude vector
      Returns:
        the inversely transformed relative magnitude vector represented by a `Point2D` instance

    - #### inverseDeltaTransform

          public Point3D inverseDeltaTransform​(double x,
                                               double y,
                                               double z)

      Description copied from class: `Transform`
      Transforms the relative magnitude vector by the inverse of this transform. The vector is transformed without applying the translation components of the affine transformation matrix.
      Overrides:
        `inverseDeltaTransform` in class `Transform`
      Parameters:
        `x` - vector magnitude in the direction of the X axis
        `y` - vector magnitude in the direction of the Y axis
        `z` - vector magnitude in the direction of the Z axis
      Returns:
        the inversely transformed relative magnitude vector represented by a `Point3D` instance

    - #### inverseDeltaTransform

          public Point3D inverseDeltaTransform​(Point3D point)

      Description copied from class: `Transform`
      Transforms the relative magnitude vector represented by the specified `Point3D` instance by the inverse of this transform. The vector is transformed without applying the translation components of the affine transformation matrix.
      Overrides:
        `inverseDeltaTransform` in class `Transform`
      Parameters:
        `point` - the relative magnitude vector
      Returns:
        the inversely transformed relative magnitude vector represented by a `Point3D` instance

    - #### toString

          public String toString()

      Returns a string representation of this `Translate` object.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this `Translate` object.